
node['systemd']['units'].each do |name, opts|
  service name do
    provider Chef::Provider::Service::Systemd
    %w(init_command notifies pattern priority provider reload_command restart_command service_name start_command status_command stop_command subscribes supports action).each do |attr|
      send(attr, opts[attr]) if opts[attr]
    end
  end
end
